using System.Globalization;
using UnityEngine;
using TMPro; // Nécessaire pour TextMeshPro

public class UIManager : MonoBehaviour
{
    // Références pour la distance et les pièces (mode normal)
    public TextMeshProUGUI distanceText;
    public TextMeshProUGUI numberCoinsText;

    // Références pour le mode 1v1
    public TextMeshProUGUI joueur1Text;
    public TextMeshProUGUI joueur2Text;

    // Variables pour distance et pièces
    private float distance = 0f;
    private int coins = 0;

    // Variables pour le mode 1v1
    private int joueur1Score = 1;
    private int joueur2Score = 0;

    // Mode de jeu
    public bool is1v1Mode = false;

    void Update()
    {
        if (!is1v1Mode)
        {
            distanceText.text = distance.ToString("F1", CultureInfo.InvariantCulture) + "M";
            numberCoinsText.text = coins.ToString();
        }
        else if (is1v1Mode)
        {
            distanceText.text = distance.ToString("F1", CultureInfo.InvariantCulture) + "M";
            numberCoinsText.text = coins.ToString();
            DisplayResult();
        }
    }
    

    public void DisplayResult()
    {
        if (is1v1Mode)
        {
            if (joueur1Score > joueur2Score)
            {
                joueur1Text.text ="Winner";
                joueur2Text.text ="Loser";
            }
            else if (joueur1Score < joueur2Score)
            {
                joueur1Text.text = "Loser";
                joueur2Text.text = "Winner";
            }
            else
            {
                joueur1Text.text = "Égalité";
                joueur2Text.text = "Égalité";
            }
        }
    }
    
}
